Subject: RE: [seamoby] micro, schmicro

From: "Guilhem Tardy" <[email-masked]>
Date: Wed, 17 Jan 2001 16:43:42 -0500

Gary,
 
OK, I don't propose to solve the same issues that MIP, and I am sorry for
this misunderstanding. If this makes all easier, let's forget the
"collection of separately administered networks..." Or I will have to define
what I intended by 'network', and then go with you over 'subnet', 'domain',
etc. Well, I might still define 'domain' after all. ;)
 
Still I don't buy the MIP/edge mobility terms, for the reason that it
defines Seamoby as a son of MIP, while it should be totally orthogonal to
any 'inter-domain' mobility solution in my opinion, as it should be totally
orthogonal to any link-layer mobility solution, too. Which doesn't preclude
interactions with those other mobility solutions, of course.
 
The fact that the definition of a 'domain' is not well agreed upon is quite
what I was shooting for. This is a logical entity more than a physical
entity, which makes it more flexible to define case by case. To me, a domain
is a network for which there's only one authority. Therefore, I can assume
that an edge mobility domain can guarantee me a unique IP address througout.
 
Frankly, I don't intend to go at war over some semantics. Whatever the
consensus, micro/macro, MIP/edge, intra/inter-domain, I will follow. But I
wanted to make my point, which is done now, and therefore I won't argue with
you or anyone on this anymore.
 
Guilhem.

-----Original Message-----
From: Kenward, Gary [WDLN2:AN10:EXCH] 
Sent: Wednesday, January 17, 2001 4:16 PM
To: Tardy, Guilhem [WDLN2:AN33:EXCH]
Subject: RE: [seamoby] micro, schmicro

Guilhem:
 
  The first problem is that none of the terms you use - domain,
inter-domain, intra-domain have definitions that have been agreed
upon.
 
   The second problem is that what you describe as "edge mobility"
"as the collection of separately administered networks which agree to 
cooperate on the matter of mobility" is clearly the issue that MIP is
designed to solve.
 
Gary

-----Original Message-----
From: Tardy, Guilhem [WDLN2:AN33:EXCH] 
Sent: Wednesday, January 17, 2001 4:06 PM
To: Kenward, Gary [WDLN2:AN10:EXCH]; 'Dana L. Blair'; Phil Neumiller;
[email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [seamoby] micro, schmicro

-----Original Message-----
From: Kenward, Gary [WDLN2:AN10:EXCH] 
Sent: Wednesday, January 17, 2001 1:39 PM
To: 'Dana L. Blair'; Phil Neumiller; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [seamoby] micro, schmicro

Dana: 

   You do not seem to have a concrete objection to "edge 
mobility". I tend to agree concerning "core mobility", although 
there is already a problem with the difference in denotation 
between the Internet use of "core" versus the cellular use of 
"core". 

   What not be clear and use "MIP" and "edge mobility"?  

This would make MIP as the official inter-domain mobility solution for
Seamoby. While one of the reasons of Seamoby is that some hosts might not be
MIP-enabled. I don't buy your solution, but it is only semantics anyway. For
the record, I was suggesting in a previous message to the mm list to use
'intra-domain' and 'inter-domain' mobility (which is consistant with
Jaakkoo's views, I believe), and talk about an 'edge mobility domain' as the
collection of separately administered networks which agree to cooperate on
the matter of mobility. I also pointed out the need for a guaranteed
uniqueness of IP addresses within the so-called edge mobility domain.

Guilhem. 

Gary 

> -----Original Message----- 
> From: Dana L. Blair [ mailto:[email-masked] <mailto:[email-masked]> ] 
> Sent: Wednesday, January 17, 2001 8:54 AM 
> To: Phil Neumiller; [email-masked] 
> Cc: [email-masked]; [email-masked] 
> Subject: Re: [seamoby] micro, schmicro 
> 
> 
> Let's take this discussion back to the micro-mobility alias, 
> since it is a mobility 
> discussion. 
> 
> At 07:39 AM 1/17/01 -0600, Phil Neumiller wrote: 
> >[email-masked] wrote: 
> >> 
> >> Hi all, 
> >> 
> >> I don't know, if this helps at all, but I thought I might 
> share some of my 
> >> (not too distant) earlier experiences in mobility work on 
> H.323 systems. 
> >> First of all, I have never seen a good definition for 
> micro and macro 
> >> mobility. Yet people use these as if they were clearly and 
> similarly 
> >> understood by everyone. If you ask me, micro mobility in 
> the context of IP 
> >> networks is something that happens behind an access point 
> or a base station, 
> >> i.e. no change of the CoA is involved and thus there isn't 
> much (anything?) 
> >> that needs to be done in the IP layer. However, as I said, 
> I'm sure there 
> >> are other definitions for micro mobility as well. 
> > 
> >You are correct.  This seems to be the running definition or 
> what I have 
> >called the "classic" definition of micro-mobility.  Now I have 
> >questioned 
> >whether this distinction is a useful one.  My feeling is that edge 
> >versus 
> >core mobility is a far more important distinction than a change in 
> >subnet. 
> 
> Edge and Core are too abstract terms to discuss detailed 
> mobility solutions. 
> Cellular folks use the term Core to reference an MSC, HLR, 
> other other systems. 
> IP folks use the term Core to referece a high speed backbone 
> IP network. 
> Since we are within the IP context let's use specific IP 
> terms.  That is 
> why I defined micro-mobility in terms of IP addressing an 
> Access Links. 
> 
> > 
> >Also, I believe edge mobility is active ALL the time, and 
> core mobility 
> >(mobile IP) is active WHEN subnet boundaries change.  Also, I believe 
> 
> I think you need to define subnet more specifically.  For 
> example, an ethernet 
> is an IP subnet which is part of a larger IP subnet for a 
> department which 
> is part of a company IP subnet which is part of an ISP IP 
> subnet which is 
> part of the internet.  Which subnet boundary are you referencing ? 
> 
> I tried to avoid the subnet ambiguity by saying there are 
> some boundaries where 
> the routable IP address assigned to the MN must change.  Then 
> there are others 
> where it does not change.  micromobility applies to those 
> cases where the 
> address does not change. 
> 
> >that edge mobility must compensate for the latency of adjustments in 
> >core 
> >routing updates made by mobile IP. 
> > 
> >So, as I have stated in every design team message list, I 
> hope we can 
> >convince the list to abandon this terminology and recognize the real 
> >problem which is edge versus core.  Complex behavior 
> enabling seamless 
> >mobility will be best implemented in edge devices of the global 
> >Internet. 
> >This is the ONLY way that it will scale globally.  As Tom Petty said, 
> >"No, I won't back down.." on this one. 
> 
> I don't think we disagree.  This design team is focussing on 
> mobility solutions 
> that can be implemented at the edge of an IP network where 
> the IP address 
> does not change. 
> 
> Let's discuss on the call today. 
> 
> thanks, 
> Dana 
> 
> > 
> >> What we did in the H.323 Mobility work was not to use 
> these terms, but 
> >> instead refer to the scope of the mobility in terms that 
> were already 
> >> defined for H.323. Thus we ended up talking about 
> intra-zone, inter-zone, 
> >> intra-domain and inter-domain mobility. In a similar 
> manner, I would imagine 
> >> that terms, such as "intra/inter-link mobility", 
> "intra/inter-subnet 
> >> mobility", "intra/inter domain mobility" or something 
> similar could be used 
> >> with regards to Mobile IP and Seamoby. An alternative for 
> this would, of 
> >> course, be to define unambigiously the terms "micro 
> mobility" and "macro 
> >> mobility", but since these are already in use and mean 
> various different 
> >> things depending on the context, I would imagine that the 
> use of them would 
> >> lead to misunderstandings. 
> >> 
> >Here I would prefer we use the terminology of edge versus 
> core mobility. 
> >Can somebody shoot me down so I can get off this mantra??? :-) 
> > 
> >TNX, 
> > 
> >Phil (N9FCW, PSK/QPSK mbox = 10.140.700 MHz) 
> 
>

---

From: Pat Calhoun <[email-masked]>
Date: Fri, 19 Jan 2001 10:21:13 -0800 (PST)

> interactions with those other mobility solutions, of course.

No this doesn't make Seamoby as a son of MIP, it sets the scope of the handoff
to what Mobile IP doesn't address, and that is local changes of point of
attachments that do not require an address change.

This is actually a workable work item, so I don't understand the objection.

PatC